summaryrefslogtreecommitdiffstats
path: root/system/fsarchiver
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-12 23:33:34 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:34 +0200
commit4452cfd2aa787fdcd843bc7ccbeb5ad3e07b6223 (patch)
tree5db7af4d56ba5bc6f41879d84fbc6a0b612e2d03 /system/fsarchiver
parent0d9db4957e2f6cf5726c0f8449fa3cd336b36880 (diff)
downloadslackbuilds-4452cfd2aa787fdcd843bc7ccbeb5ad3e07b6223.tar.gz
slackbuilds-4452cfd2aa787fdcd843bc7ccbeb5ad3e07b6223.tar.xz
system/fsarchiver: Added to 12.2 repository
Diffstat (limited to 'system/fsarchiver')
-rw-r--r--system/fsarchiver/README25
-rw-r--r--system/fsarchiver/fsarchiver.SlackBuild108
-rw-r--r--system/fsarchiver/fsarchiver.info8
-rw-r--r--system/fsarchiver/slack-desc19
4 files changed, 160 insertions, 0 deletions
diff --git a/system/fsarchiver/README b/system/fsarchiver/README
new file mode 100644
index 0000000000..85c0a7ea1d
--- /dev/null
+++ b/system/fsarchiver/README
@@ -0,0 +1,25 @@
+FSArchiver is a system tool that allows you to save the contents of
+a file-system to a compressed archive file. The file-system can be
+restored on a partition which has a different size and it can be
+restored on a different file-system. Unlike tar/dar, FSArchiver
+also creates the file-system when it extracts the data to partitions.
+
+Everything is checksummed in the archive in order to protect the data.
+If the archive is corrupt, you just loose the current file, not the
+whole archive.
+
+Build Notes:
+Please note that LZMA support is disabled in the script, the source
+apparently needs next major version of LZMA (renamed XZ) which is
+still in beta.
+
+Static binary is built so it can be copied with your backup scripts and
+used when you don't have package installed but need the binary.
+
+Dependencies:
+zlib, bzip2, e2fsprogs and other filesystem tools which are all part
+of Slackware.
+
+There are no man pages in the package. For short help, fsarchiver -h.
+For detailed usage, check out the project website
+at http://www.fsarchiver.org/Main_Page
diff --git a/system/fsarchiver/fsarchiver.SlackBuild b/system/fsarchiver/fsarchiver.SlackBuild
new file mode 100644
index 0000000000..16f1f71f90
--- /dev/null
+++ b/system/fsarchiver/fsarchiver.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware Package Build Script for fsarchiver
+# Home Page http://www.fsarchiver.org/Main_Page
+
+# Copyright (c) 2009, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=fsarchiver
+VERSION=0.5.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+### [en|dis]able LZMA (XZ) support. This is not intended for 12.2
+### as XZ is not available for 12.2. Specifically added for folks
+### running -current or Slackware64.
+### run script with LZMA=yes fsarchiver.SlackBuild
+
+if [ ${LZMA:-no} = "no" ]; then
+ DO_LZMA="dis"
+else
+ DO_LZMA="en"
+fi
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ "$ARCH" = "x86_64" ]; then
+# Fix hard coded lib paths
+ sed -i -e "s|/usr/lib/libext2fs.a|/lib${LIBDIRSUFFIX}/libext2fs.a|g" \
+ -e "s|/usr/lib/libcom_err.a|/lib${LIBDIRSUFFIX}/libcom_err.a|g" \
+ -e "s|/usr/lib/|/usr/lib${LIBDIRSUFFIX}/|g" \
+ configure
+fi
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static \
+ --${DO_LZMA}able-lzma \
+ --disable-lzo
+
+make
+make install DESTDIR=$PKG
+
+strip -g --strip-unneeded $PKG/usr/sbin/fsarchiver
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/fsarchiver/fsarchiver.info b/system/fsarchiver/fsarchiver.info
new file mode 100644
index 0000000000..7516ba2fea
--- /dev/null
+++ b/system/fsarchiver/fsarchiver.info
@@ -0,0 +1,8 @@
+PRGNAM="fsarchiver"
+VERSION="0.5.7"
+HOMEPAGE="http://www.fsarchiver.org/Main_Page"
+DOWNLOAD="http://downloads.sourceforge.net/fsarchiver/fsarchiver-0.5.7.tar.gz"
+MD5SUM="2ddc2b9e6f05cc17a429f93d3fba5e11"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/system/fsarchiver/slack-desc b/system/fsarchiver/slack-desc
new file mode 100644
index 0000000000..9dd3e13a26
--- /dev/null
+++ b/system/fsarchiver/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fsarchiver: fsarchiver (Filesystem Archiver for Linux)
+fsarchiver:
+fsarchiver: FSArchiver is a system tool that allows you to save the
+fsarchiver: contents of a file-system to a compressed archive file. The
+fsarchiver: file system can also be restored on a different-sized partition
+fsarchiver: and also to a different filesystem. It can also create the
+fsarchiver: filesytems while restoring.
+fsarchiver:
+fsarchiver: More info on http://www.fsarchiver.org/Main_Page
+fsarchiver:
+fsarchiver: